Loading...
Searching...
No Matches
QXmppOutgoingServer Class Reference

The QXmppOutgoingServer class represents an outgoing XMPP stream to another XMPP server. More...

`#include <QXmppOutgoingServer.h>`

Inheritance diagram for QXmppOutgoingServer:
[legend]
Collaboration diagram for QXmppOutgoingServer:
[legend]

## Public Slots

void | connectToHost (const QString &domain)
void | queueData (const QByteArray &data)
Public Slots inherited from QXmppStream
virtual void | disconnectFromHost ()
virtual bool | sendData (const QByteArray &)

## Signals

void | dialbackResponseReceived (const QXmppDialback &response)
| This signal is emitted when a dialback verify response is received.
Signals inherited from QXmppStream
void | connected ()
| This signal is emitted when the stream is connected.
void | disconnected ()
| This signal is emitted when the stream is disconnected.
Signals inherited from QXmppLoggable
void | setGauge (const QString &gauge, double value)
| Sets the given gauge to value.
void | logMessage (QXmppLogger::MessageType type, const QString &msg)
| This signal is emitted to send logging messages.
void | updateCounter (const QString &counter, qint64 amount=1)
| Updates the given counter by amount.

## Public Member Functions

| QXmppOutgoingServer (const QString &domain, QObject *parent)
| ~QXmppOutgoingServer () override
bool | isConnected () const override
QString | localStreamKey () const
| Returns the stream's local dialback key.
void | setLocalStreamKey (const QString &key)
void | setVerify (const QString &id, const QString &key)
QString | remoteDomain () const
| Returns the remote server's domain.
Public Member Functions inherited from QXmppStream
| QXmppStream (QObject *parent)
| ~QXmppStream () override
bool | sendPacket (const QXmppNonza &)
QXmppTask< QXmpp::SendResult > | send (QXmppNonza &&)
QXmppTask< QXmpp::SendResult > | send (QXmppPacket &&)
QXmppTask< IqResult > | sendIq (QXmppIq &&, const QString &to)
QXmppTask< IqResult > | sendIq (QXmppPacket &&, const QString &id, const QString &to)
void | cancelOngoingIqs ()
bool | hasIqId (const QString &id) const
void | resetPacketCache ()
Public Member Functions inherited from QXmppLoggable
| QXmppLoggable (QObject *parent=nullptr)

## Additional Inherited Members

Public Types inherited from QXmppStream
using | IqResult = std::variant< QDomElement, QXmppError >
Protected Member Functions inherited from QXmppStream
QSslSocket * | socket () const
void | setSocket (QSslSocket *socket)
virtual void | handleStart ()
virtual void | handleStanza (const QDomElement &element)=0
virtual void | handleStream (const QDomElement &element)=0
void | enableStreamManagement (bool resetSequenceNumber)
unsigned int | lastIncomingSequenceNumber () const
void | setAcknowledgedSequenceNumber (unsigned int sequenceNumber)
Protected Member Functions inherited from QXmppLoggable
void | debug (const QString &message)
void | info (const QString &message)
void | warning (const QString &message)
void | logReceived (const QString &message)
void | logSent (const QString &message)

## Detailed Description

The QXmppOutgoingServer class represents an outgoing XMPP stream to another XMPP server.

## Constructor & Destructor Documentation

## QXmppOutgoingServer()

QXmppOutgoingServer::QXmppOutgoingServer | ( | const QString & | domain,
|  | QObject * | parent
| ) |  |

Constructs a new outgoing server-to-server stream.

Parameters

  domain | the local domain
  parent | the parent object

## ~QXmppOutgoingServer()

QXmppOutgoingServer::~QXmppOutgoingServer | ( |  | ) |

override

Destroys the stream.

## Member Function Documentation

## connectToHost

void QXmppOutgoingServer::connectToHost | ( | const QString & | domain | ) |

slot

Attempts to connect to an XMPP server for the specified domain.

Parameters

  domain |

## isConnected()

bool QXmppOutgoingServer::isConnected | ( |  | ) | const

override virtual

Returns true if the socket is connected and authentication succeeded.

Reimplemented from QXmppStream.

## queueData

void QXmppOutgoingServer::queueData | ( | const QByteArray & | data | ) |

slot

Sends or queues data until connected.

Parameters

  data |

## setLocalStreamKey()

void QXmppOutgoingServer::setLocalStreamKey | ( | const QString & | key | ) |

Sets the stream's local dialback key.

Parameters

  key |

## setVerify()

void QXmppOutgoingServer::setVerify | ( | const QString & | id,
|  | const QString & | key
| ) |  |

Sets the stream's verification information.

Parameters

  id |
  key |

The documentation for this class was generated from the following files:

- QXmppOutgoingServer.h
- QXmppOutgoingServer.cpp